Bug 84167 - [maintainer update] www/polipo to 0.9.8_1
Summary: [maintainer update] www/polipo to 0.9.8_1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-27 13:00 UTC by Frank Behrens
Modified: 2005-07-27 16:30 UTC (History)
0 users

See Also:


Attachments
polipo-0.9.8_1-port.patch (1.89 KB, patch)
2005-07-27 13:00 UTC, Frank Behrens
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Behrens 2005-07-27 13:00:40 UTC
	Fixes for www/polipo
	1. avoid error message "502 Range without partial content"
	2. shutdown polipo on system shutdown
Comment 1 Renato Botelho freebsd_committer 2005-07-27 13:13:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Grabbed.
Comment 2 Renato Botelho freebsd_committer 2005-07-27 13:48:13 UTC
Dear maintainer,

I propose you the following patch that clarify Makefile and pkg-plist.
Do you approve it?

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/www/polipo/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- Makefile	5 Feb 2005 20:57:43 -0000	1.1
+++ Makefile	27 Jul 2005 12:44:38 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	polipo
 PORTVERSION=	0.9.8
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://www.pps.jussieu.fr/~jch/software/files/polipo/ \
 		http://www.sax.de/~frank/polipo4bsd/files/
@@ -16,7 +17,7 @@
 
 MAN1=		polipo.1
 
-USE_RC_SUBR=	yes
+USE_RC_SUBR=	polipo.sh
 
 .include <bsd.port.pre.mk>
 
@@ -31,18 +32,10 @@
 INFO=		polipo
 .endif
 
-.if !defined(NOPORTDOCS)
 DOCSDIR=	${DATADIR}/www/doc
 PORTDOCS=	*
-PLIST_FILES+=	share/polipo/www/index.html
-.endif
-
-# created on the fly due to variable substitution
-PKGINSTALL=	${WRKDIR}/pkg-install
-PKGDEINSTALL=	${WRKDIR}/pkg-deinstall
-PKGMESSAGE=	${WRKDIR}/pkg-message
 
-SUB_FILES=	pkg-message pkg-install pkg-deinstall 400.polipo polipo.sh
+SUB_FILES=	pkg-message pkg-install pkg-deinstall 400.polipo
 SUB_LIST+=	USER=${PUSER} GROUP=${PGRP} DESTDIR=${DESTDIR} PCONFIGDIR=${PCONFIGDIR} \
 		PCACHEDIR=${PCACHEDIR} PPIDDIR=${PPIDDIR} PPIDFILE=${PPIDFILE} \
 		PLOGFILE=${PLOGFILE} RC_SUBR=${RC_SUBR}
@@ -62,7 +55,6 @@
 
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/polipo ${DESTDIR}${PREFIX}/bin/
-	${INSTALL_SCRIPT} ${WRKDIR}/polipo.sh ${DESTDIR}${PREFIX}/etc/rc.d/
 	${MKDIR} ${DESTDIR}${PREFIX}/etc/periodic/daily/
 	${INSTALL_SCRIPT} ${WRKDIR}/400.polipo ${DESTDIR}${PREFIX}/etc/periodic/daily/
 	${INSTALL_MAN} ${WRKSRC}/polipo.man ${DESTDIR}${PREFIX}/man/man1/polipo.1
@@ -83,6 +75,6 @@
 
 post-install:
 	@PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
-	${CAT} ${PKGMESSAGE}
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/www/polipo/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	5 Feb 2005 20:57:43 -0000	1.1
+++ pkg-plist	27 Jul 2005 12:44:38 -0000
@@ -1,7 +1,7 @@
 bin/polipo
 etc/polipo/config.sample
 etc/polipo/forbidden.sample
-etc/rc.d/polipo.sh
 etc/periodic/daily/400.polipo
+%%PORTDOCS%%%%DATADIR%%/www/index.html
 @unexec rmdir %D/etc/periodic/daily 2>/dev/null || true
 @unexec rmdir %D/etc/periodic 2>/dev/null || true
Index: files/patch-aa
===================================================================
RCS file: /home/pcvs/ports/www/polipo/files/patch-aa,v
retrieving revision 1.1
diff -u -r1.1 patch-aa
--- files/patch-aa	5 Feb 2005 20:57:43 -0000	1.1
+++ files/patch-aa	27 Jul 2005 12:44:38 -0000
@@ -83,3 +83,21 @@
  The default root of the local web space.
  .SH SIGNALS
  .TP 
+--- server.c	Thu Jan 20 00:21:19 2005
++++ server.c	Wed Jul 27 13:24:28 2005
+@@ -1783,10 +1783,11 @@
+     } else if(code < 400 && 
+               (content_range.from >= 0 || content_range.to >= 0 || 
+                content_range.full_length >= 0)) {
+-        do_log(L_ERROR, "Range without partial content.\n");
+-        httpServerAbort(connection, 1, 502,
+-                        internAtom("Range without partial content"));
+-        goto fail;
++        do_log(L_WARN, "Range without partial content.\n");
++        /* Damn anakata. */
++        content_range.from = -1;
++        content_range.to = -1;
++        content_range.full_length = -1;
+     } else if(code != 304 && code != 412) {
+         full_len = len;
+     }
Index: files/polipo.sh.in
===================================================================
RCS file: /home/pcvs/ports/www/polipo/files/polipo.sh.in,v
retrieving revision 1.1
diff -u -r1.1 polipo.sh.in
--- files/polipo.sh.in	5 Feb 2005 20:57:43 -0000	1.1
+++ files/polipo.sh.in	27 Jul 2005 12:44:38 -0000
@@ -4,7 +4,7 @@
 # PROVIDE: polipo
 # REQUIRE: NETWORK
 # BEFORE:  NETWORK
-# KEYWORD: FreeBSD
+# KEYWORD: FreeBSD shutdown
 
 . %%RC_SUBR%%
 
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://people.freebsd.org/~garga/pubkey.asc

Since we have to speak well of the dead, let's knock them while they're
alive.
		-- John Sloan
Comment 3 fbehrens 2005-07-27 16:20:10 UTC
Renato Botelho <garga@FreeBSD.org> wrote on 27 Jul 2005 9:48:
> I propose you the following patch that clarify Makefile and pkg-plist.
> Do you approve it?

Yes, I approve it.
Comment 4 Renato Botelho freebsd_committer 2005-07-27 16:22:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!